@charset "UTF-8";

/* ==========================================================================
   Helpers
   ========================================================================== */

.align-left {
  text-align: left;
}

.align-right {
  text-align: right;
}

/* ==========================================================================
   Base
   ========================================================================== */

html {
  box-sizing: border-box;
  height: 100%;
  font-family: sans-serif;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
}

*, *::before, *::after {
  box-sizing: inherit;
}

body, h1, h2, h3, h4, h5, h6,
p, blockquote, pre, hr,
dl, dd, ol, ul, figure {
  margin: 0;
  padding: 0;
}

body {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  font-family: "Lora", Georgia, "Times New Roman", serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;
  color: #222;
  background-color: #fcfcfc;
  font-feature-settings: "kern" 1;
  font-kerning: normal;
}

h1, h2, h3, h4, h5, h6,
p, blockquote, pre,
ul, ol, dl, figure {
  margin-bottom: 0.9375rem;
}

img {
  max-width: 100%;
  vertical-align: middle;
  height: auto;
}

figure > picture > img {
  display: block;
}

figcaption {
  font-size: 0.875rem;
}

ul, ol {
  margin-left: 1.875rem;
}

li > ul,
li > ol {
  margin-bottom: 0;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 400;
}

a {
  color: darkslateblue;
  text-decoration: none;
}
a:visited, a:active {
  color: darkslateblue;
}
a:hover, a:focus {
  color: rgb(106, 93, 184);
}

blockquote {
  color: #828282;
  border-left: 4px solid #e8e8e8;
  padding-left: 0.9375rem;
  font-size: 1.125rem;
  letter-spacing: -1px;
  font-style: italic;
}
blockquote > :last-child {
  margin-bottom: 0;
}

pre,
code {
  font-size: 0.9375rem;
  border: 1px solid #e8e8e8;
  border-radius: 3px;
  background-color: #eef;
}

code {
  padding: 1px 5px;
}

pre {
  padding: 8px 12px;
  overflow-x: auto;
}
pre > code {
  border: 0;
  padding-right: 0;
  padding-left: 0;
}

table {
  width: 100%;
  margin-bottom: 1rem;
  border-collapse: collapse;
}

table.centered td {
  text-align: center;
}

thead tr {
  border-bottom: 2px solid darkgoldenrod;
}

thead th, tfoot th {
  color: darkgoldenrod;
}

tbody tr {
  border-bottom: 1px solid darkgoldenrod;
}

th, td {
  padding: 20px 10px;
}

caption {
  caption-side: bottom;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  font-size: 0.75rem;
  color: #828282;
}

/* ==========================================================================
   Layout
   ========================================================================== */

.page-content {
  flex: 1;
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  width: 100%;
  margin-bottom: 3.75rem;
}
.page-content h1, .page-content h2, .page-content h3,
.page-content h4, .page-content h5, .page-content h6 {
  color: darkslateblue;
}

.wrapper {
  width: 100%;
  padding: 0 0.9375rem 1.875rem;
}
@media screen and (min-width: 1200px) {
  .wrapper {
    padding-left: 250px;
    padding-right: 250px;
    padding-top: 1.875rem;
  }
}

@media screen and (min-width: 1200px) {
  .home {
    max-width: 1200px;
    margin: 0 auto;
  }
  .post, .category {
    max-width: 600px;
    margin: 0 auto;
  }
}

.site-footer {
  position: relative;
  width: 100%;
  padding: 1.875rem 1.875rem 0.9375rem;
  color: darkgoldenrod;
  text-align: center;
}
.site-footer ul {
  margin-left: 0;
}
.site-footer li {
  display: inline-block;
  margin: 0 0.9375rem;
  list-style: none;
}
.site-footer .icon {
  width: 1.25rem;
  height: 1.25rem;
}
.site-footer .icon.icon-mail {
  fill: #505264;
}
.site-footer .icon.icon-facebook {
  fill: #3b5998;
}
.site-footer .icon.icon-twitter {
  fill: #1da1f2;
}
.site-footer .icon.icon-rss {
  fill: #f26522;
}
.site-footer .small {
  font-size: 0.75rem;
}
.site-footer .fleur-de-lis {
  position: absolute;
  top: -1.5rem;
  z-index: 2;
  width: 3.75rem;
  margin-left: -1.875rem;
  font-size: 2rem;
  background-color: #fcfcfc;
}
.site-footer::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 1px;
  background: linear-gradient(145deg, #efd100 0, #e2a233 38%, #f0c328 60%, #fff1a3 86%, #ffe13e 100%);
}

/* ==========================================================================
   Header
   ========================================================================== */

.site-header {
  position: relative;
  width: 100%;
  display: flex;
  flex-flow: column nowrap;
  background-color: darkslateblue;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}
@media screen and (min-width: 1200px) {
  .site-header {
    flex-flow: row nowrap;
  }
  .site-header a {
    color: white;
    text-decoration: none;
  }
  .site-header a:visited, .site-header a:active {
    color: white;
  }
  .site-header a:hover, .site-header a:focus {
    color: rgb(217, 217, 217);
  }
}

.site-title {
  float: left;
  margin-bottom: 0;
  padding: 0.9375rem;
}
.site-title a, .site-title a:active, .site-title a:visited,
.site-title a:hover, .site-title a:focus {
  color: white;
}
.site-title .logo {
  float: left;
}
.site-title .logo > img {
  width: auto;
  height: 3.75rem;
  fill: white;
}
.site-title .title {
  margin-left: 0.9375rem;
  font-size: 1.75rem;
  line-height: 3.75rem;
}
@media screen and (min-width: 1200px) {
  .site-title .title {
    font-size: 2rem;
  }
}

.nav-trigger {
  display: none;
}
.nav-trigger + label {
  position: absolute;
  top: 35px;
  right: 15px;
}
@media screen and (min-width: 1200px) {
  .nav-trigger + label {
    display: none;
  }
}
.nav-trigger:checked ~ .site-nav {
  display: flex;
}

.site-nav {
  display: none;
  flex-flow: column nowrap;
  width: 100%;
  background-color: white;
}
@media screen and (min-width: 1200px) {
  .site-nav {
    display: flex;
    flex-flow: row nowrap;
    width: auto;
    margin-left: auto;
    margin-right: 0.9375rem;
    background-color: transparent;
  }
}
.site-nav a {
  padding: 0.9375rem;
  text-align: center;
  border-bottom: 1px solid rgba(72, 61, 139, 0.05);
}
.site-nav a:last-child {
  border-bottom: none;
}
@media screen and (min-width: 1200px) {
  .site-nav a {
    line-height: 3.75rem;
    border-bottom: none;
  }
}

/* ==========================================================================
   Post
   ========================================================================== */

.post-list {
  display: flex;
  flex-flow: row wrap;
  margin: 0.9375rem 0 0;
  padding: 0;
}
.post-list > li {
  width: 100%;
  list-style: none;
}
@media screen and (min-width: 800px) {
  .post-list > li:first-child {
    width: 100%;
  }
  .post-list > li {
    width: 50%;
  }
}

.post-item {
  margin: 0.9375rem;
  padding: 0.9375rem 0.9375rem 0.6245rem;
  background-color: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.post-item ul,
.post ul {
  margin: 0 0 0 -5px;
  padding: 0;
}
.post-item ul li,
.post ul li {
  display: inline-block;
  margin-right: 0.313rem;
  margin-bottom: 0.313rem;
}

.post-link, .post-link:visited, .post-link:active, .post-link:hover, .post-link:focus {
  color: #222;
}
.post-link .post-meta {
  font-size: 0.75rem;
  color: #bbb;
}
.post-link p {
  height: 4.5rem;
  overflow: hidden;
}

.post-header {
  margin-top: 1.875rem;
  margin-bottom: 3.75rem;
  text-align: center;
}
@media screen and (min-width: 1200px) {
  .post-header {
    margin-top: 3.75rem;
  }
}
.post-header .post-title {
  font-size: 3rem;
  line-height: 1.1;
  margin-bottom: 0.9375rem;
}
@media screen and (min-width: 1200px) {
  .post-header .post-title {
    font-size: 3.5rem;
  }
}
.post-header .post-date-published {
  display: block;
  font-size: 1.25rem;
  font-weight: 300;
  color: darkslateblue;
  text-transform: uppercase;
}
.post-header .post-date-update {
  font-size: 0.75rem;
  color: #bbb;
}
.post-header li {
  margin: 0.313rem;
}

.post-content {
  font-size: 1.125rem;
  line-height: 1.75;
}
.post-content a {
  padding-bottom: 1px;
  color: limegreen;
  text-decoration: none;
  border-bottom: 2px solid;
  transition: all 200ms ease-in-out;
}
.post-content a:visited, .post-content a:active {
  color: limegreen;
}
.post-content a:hover, .post-content a:focus {
  color: rgb(112, 220, 112);
}
.post-content a:not([href*="flaviodutra.com.br"]):not([href^="#"]):not([href^="/"])::after {
  content: url("data:image/svg+xml;charset=UTF-8,%3csvg version='1.1' xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 40 40'%3e%3cpath fill='limegreen' d='M30 30h-26v-18h5.19c0 0 1.378-1.792 4.34-4h-11.53c-1.106 0-2 0.898-2 2v22c0 1.106 0.894 2 2 2h30c1.106 0 2-0.894 2-2v-7.492l-4 3.29v2.202zM26.722 16.1v7.102l13.278-10.402-13.278-9.998v6.262c-16.122 0-16.122 15.936-16.122 15.936 4.564-7.496 7.372-8.9 16.122-8.9z'%3e%3c/path%3e%3c/svg%3e");
  margin-left: 0.5rem;
}
.post-content p {
  margin-bottom: 1.875rem;
  text-align: justify;
}
.post-content p:not(.post-meta)::first-letter {
  font-size: 125%;
  margin-left: 1.875rem;
}
.post-content ul, .post-content ol {
  margin-left: 1.875rem;
  margin-bottom: 1.875rem;
}
.post-content ul li::before {
  content: "●";
  margin-right: 0.5rem;
  color: darkslateblue;
}
.post-content ul li li::before {
  content: "⚬";
}
.post-content ol li::marker {
  font-weight: 700;
  color: darkslateblue;
}
.post-content figure, .post-content p {
  margin-bottom: 1.875rem;
}
.post-content figure > picture > img, .post-content p > img {
  margin-bottom: 0.5rem;
}
@media screen and (min-width: 1200px) {
  .post-content figure > picture > img, .post-content p > img {
    max-width: 150%;
    margin-left: -25%;
  }
}
.post-content figcaption {
  font-size: 1rem;
  font-style: italic;
  text-align: center;
}
.post-content iframe, .post-content .aspect-ratio {
  margin-bottom: 1.875rem;
}
.post-content .aspect-ratio {
  position: relative;
  width: 100%;
  height: 0;
  padding-bottom: 56%;
}
.post-content .aspect-ratio > iframe {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}
@media screen and (min-width: 1200px) {
  .post-content .aspect-ratio {
    width: 150%;
    margin-left: -25%;
    padding-bottom: 84.25%;
  }
}
.post-content .thumb-left {
  float: left;
  margin-right: 1.5rem;
  margin-bottom: 1.5rem;
}
.post-content .thumb-right {
  float: right;
  margin-left: 1.5rem;
  margin-bottom: 1.5rem;
  margin-right: -25%;
}

.post-meta {
  font-size: 1.125rem;
}
.post-meta [itemprop="email"] {
  font-size: 0.875rem;
}

.fim {
  color: #ddd;
}
.fim span {
  font-size: 85%;
  font-style: normal;
  opacity: 0.75;
}

.picture-of-me {
  width: 170px;
}

/* ==========================================================================
   Category
   ========================================================================== */

.category-header {
  margin-top: 1.875rem;
  margin-bottom: 3.75rem;
}
@media screen and (min-width: 1200px) {
  .category-header {
    margin-top: 3.75rem;
  }
}

.category-content h2 {
  margin: 0;
}

/* ==========================================================================
   Tags
   ========================================================================== */

.tags {
  width: 100%;
  padding: 5.625rem 0.9375rem 1.875rem;
}
.tags h3 {
  text-align: center;
}
.tags ul {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  margin: 0;
  padding: 0;
}
.tags li {
  margin: 5px 0;
  list-style: none;
}
@media screen and (min-width: 1200px) {
  .home ~ .tags {
    max-width: 1200px;
    margin: 0 auto;
  }
  .post ~ .tags, .category ~ .tags {
    max-width: 600px;
    margin: 0 auto;
    padding-left: 0;
    padding-right: 0;
  }
}
.tags.tags--no-padding-top {
  padding-top: 0;
}

.tag,
.tag:active,
.tag:visited {
  display: flex;
  align-items: center;
  margin-right: 5px;
  padding: 0 5px;
  font-size: 0.875rem;
  color: limegreen;
  transition: all 200ms ease-in-out;
}
.tag > span,
.tag:active > span,
.tag:visited > span {
  margin-left: 5px;
  font-size: 78%;
  color: #bbb;
  transition: all 200ms ease-in-out;
}
.tag > span::before,
.tag:active > span::before,
.tag:visited > span::before {
  content: "(";
}
.tag > span::after,
.tag:active > span::after,
.tag:visited > span::after {
  content: ")";
}
.tag:hover,
.tag:focus {
  color: rgb(112, 220, 112);
}
.tag:hover > span,
.tag:focus > span {
  color: rgb(149, 149, 149);
}
